import { IValueSubject, Milliseconds } from '@vkontakte/videoplayer-shared';
import { Manifest, Stream, TextRepresentation } from '../../../providers/utils/parsers/types';
import { Dependencies } from '../../../providers/DashProviderVirtual/lib/buffer/types';
export declare class LiveTextManager {
    currentRepresentation$: IValueSubject<TextRepresentation | null>;
    private readonly maxRepresentations;
    private representationsCursor;
    private representations;
    private readonly getCurrentPosition;
    private currentSegment;
    constructor(streams: Stream[], deps: Pick<Dependencies, 'getCurrentPosition'>);
    updateLive(manifest: Manifest | null): void;
    seekLive(streams?: Stream[]): void;
    maintain(currentPosition?: Milliseconds | undefined): void;
    destroy(): void;
    /**
     * @todo support multi-streams
     * @see https://jira.mvk.com/browse/VP-2420
     */
    private processStreams;
    static isSupported(streams?: Stream[]): boolean;
    private static filterRepresentations;
}
